Bug 102806 - Missing BuildRequires in spec file
Summary: Missing BuildRequires in spec file
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-21 13:32 UTC by Dams
Modified: 2007-04-18 16:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 21:24:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dams 2003-08-21 13:32:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
[anvil@gruyere ~]# rpmbuild --rebuild up2date-3.9.10-2.src.rpm
Installation de up2date-3.9.10-2.src.rpm
[SNIP]
gcc -fPIC -Wall -O2 -fomit-frame-pointer -I/usr/include/python2.2 -c -o
dmimodule.o dmimodule.c
dmimodule.c:18:20: Python.h: No such file or directory
dmimodule.c:150: parse error before "PyObject_HEAD"
[SNIP Once python-devel is installed]
make[1]: Leaving directory `/mnt/other/BUILD/up2date-3.9.10/man'
make[1]: Entering directory `/mnt/other/BUILD/up2date-3.9.10/po'
cs.mo: make[1]: msgfmt: Command not found

Installing python-devel and gettext fixed build problems.
Please add them as BuildRequires in spec file.


Version-Release number of selected component (if applicable):
up2date(0:3.1.23.1-5)

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild.

Comment 1 Dams 2003-08-21 13:44:46 UTC
Sorry, i was talking about up2date(0:3.9.10-2). Not up2date(0:3.1.23.1-5).

Comment 2 Adrian Likins 2003-09-15 21:24:15 UTC
should be fixed in 3.9.28


Note You need to log in before you can comment on or make changes to this bug.